@page "/"
@using LSerialObserver.Domain.Observer
@inject ObserverService _observerService

<div id="ObserverSettingsModal" class="modal fade" tabindex="-1">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Observer Settings</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
      </div>
      <div class="modal-body">
        <ObserverSettings/>
      </div>
      <div class="modal-footer">
        <button class="btn btn-lg btn-primary">
          <i class="bi bi-save"></i>
          Save
        </button>
      </div>
    </div>
  </div>
</div>

<div class="container mt-5">
  <button class="btn btn-lg btn-primary mb-3"
          data-bs-toggle="modal" data-bs-target="#ObserverSettingsModal">
    <i class="bi bi-plus-square"></i>
    New Observer
  </button>

  @foreach (var observer in _observers)
  {
    <div class="mt-2">
      <ObserverCard Observer="observer"/>
    </div>
  }
</div>

@code {

  private List<Observer> _observers;

  protected override Task OnInitializedAsync()
  {
    _observers = _observerService.All();

    return base.OnInitializedAsync();
  }

}
